#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.IO;

namespace GDBG_Sample
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();
           
            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 10; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridDataBoundGrid1.DataSource = dataSource;
            //Event Subscription
            gridDataBoundGrid1.CurrentCellControlDoubleClick += GridDataBoundGrid1_CurrentCellControlDoubleClick;
            
        }
        //Event Customization
        private void GridDataBoundGrid1_CurrentCellControlDoubleClick(object sender, ControlEventArgs e)
        {
            if (gridDataBoundGrid1.CurrentCell.ColIndex == 2)
            {
                int rowIndex = gridDataBoundGrid1.CurrentCell.RowIndex;
                //To get the current record
                GridBoundRecordState record = this.gridDataBoundGrid1.Binder.GetRecordStateAtRowIndex(rowIndex);
                foreach (GridBoundColumn column in this.gridDataBoundGrid1.Binder.InternalColumns)
                {
                    if (column.MappingName == "Description")
                    {
                        //To get the particular cell value
                        string value = column.PropertyDescriptor.GetValue(record.Table[record.Position]).ToString();
                        MessageBox.Show(value);
                    }
                }
            }
        }
    }
}